<?xml version="1.0"?>
<!--
This file contains information related to printer capabilities and features.  It is recommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the
CDROM that shipped with this product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hpmob.cfg</config_file>
                <config_file_version>1.0.0.7</config_file_version>
                <!-- June 5, 2004 -->
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <current>
                <physical/>
                <printing/>
                <custom/>
            </current>
            <factory>
                <!-- !!!!!!!!!!!!!!!!!!!!!!!! PHYSICAL FEATURES !!!!!!!!!!!!!!!!!!!!!!! -->
                <physical resource_id="18">
                    <!-- Typical Physical Features -->
                </physical>
                <!-- !!!!!!!!!!!!!!!!!!!!!!!! PRINTING FEATURES !!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
                <printing resource_id="17">
                    <!-- TYPICAL FEATURES - (reverse order from display) -->
                    <!-- Default MediaType Selection -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE" lock="FALSE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="558">
                            AUTO
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option>
                            <!--resource_id="590"-->
                            LIGHT
                        </option>
                        <option resource_id="592">
                            HEAVY
                        </option>
                        <option>
                            <!--resource_id="20557"-->
                            CARDSTOCK
                        </option>
                        <option resource_id="586">
                            GLOSS
                        </option>
                        <option resource_id="647">
                            HEAVY_GLOSSY
                        </option>
                        <option resource_id="648">
                            NON_HP_HEAVY_GLOSSY
                        </option>
                        <option resource_id="20561">
                            HIGH_GLOSS
                        </option>
                        <option resource_id="587">
                            GLOSSY_FILM
                        </option>
                        <option resource_id="551">
                            ENVELOPE
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                    </feature>
                    <!-- Default Paper Size Selection -->
                    <feature resource_id="200" caption_id="10012" typical="TRUE">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="214">
                            STATEMENT
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="356">
                            8_5X13
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="225">
                            11X17
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="207">
                            12X18
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="216">
                            A3
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="217">
                            A4
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="219">
                            A5
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option>
                            RA3
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <!--<option resource_id="202">
                            B5
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>-->
                        <option resource_id="221">
                            B5_JIS
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="220">
                            B4_JIS
                            <constraint>Forbids_Source_Tray4</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="327">
                            EXECUTIVE_JIS
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="286">
                            DBL_JAPANESE_POSTCARD_ROTATED
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="208">
                            16K
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="354">
                            8K
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="242">
                            ENV_B5
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                    </feature>
                    <!-- Default Print Quality Setting -->
                    <feature resource_id="760" caption_id="10019" typical="TRUE">
                        <!--lock="FALSE" -->
                        PrintQuality
                        <current_option>Default</current_option>
                        <option resource_id="3">
                            Default
                        </option>
                        <option resource_id="768">
                            Best
                        </option>
                    </feature>
                    <!-- Color Option Manual/Automatic  -->
                    <!-- Print as Grayscale  -->
                    <feature resource_id="836" caption_id="10056" typical="TRUE" lock="FALSE">
                        PrintColorAsGray
                        <current_option>FALSE</current_option>
                        <option resource_id="5">
                            FALSE
                        </option>
                        <option resource_id="6">
                            TRUE
                        </option>
                    </feature>
                    <!-- Default Orientation Setting -->
                    <feature resource_id="850" caption_id="10013" typical="TRUE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                        </option>
                        <option resource_id="852">
                            Landscape
                        </option>
                        <option resource_id="853">
                            RotatedPortrait
                        </option>
                        <option resource_id="854">
                            RotatedLandscape
                        </option>
                    </feature>
                    <!-- Default for Print On Both Sides -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Check_MediaTypes_That_Cant_Be_Duplexed</constraint>
                            <constraint>Check_PaperSizes_That_Cant_Be_Duplexed</constraint>
                            <constraint>Check_PaperSizes_That_Cant_Be_Duplexed_ABS</constraint>
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                            <constraint>Check_Booklet_To_Disable_PrintOnBothSides</constraint>
                        </option>
                    </feature>
                    <!-- All NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                        </option>
                        <option resource_id="1102">
                            TwoUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <constraint>Is_Booklet_On</constraint>
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- BookletPrintingChoice -->
                    <feature resource_id="1120" caption_id="10023">
                        BookletPrintingChoice
                        <current_option>OFF</current_option>
                        <option resource_id="14">
                            OFF
                            <constraint>Force_BookletTargetSize_To_None</constraint>
                        </option>
                        <option resource_id="1121">
                            LeftEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_Scale_Equal_100_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value2</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value4</constraint>
                            <!--<constraint>Incompatible_With_Stapler_Bin</constraint>-->
                        </option>
                        <option resource_id="1122">
                            RightEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_Scale_Equal_100_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value2</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value4</constraint>
                            <!--<constraint>Incompatible_With_Stapler_Bin</constraint>-->
                        </option>
                    </feature>
                    <!-- BookletTargetSize -->
                    <feature resource_id="1124" caption_id="10067">
                        BookletTargetSize
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="209" editable="FALSE">
                            LETTER
                            <constraint>When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="213" editable="FALSE">
                            LEGAL
                            <constraint>When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="217" editable="FALSE">
                            A4
                            <constraint>When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="216" editable="FALSE">
                            A3
                            <constraint>When_BookletTargetSize_Is_A3_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="220" editable="FALSE">
                            B4_JIS
                            <constraint>When_BookletTargetSize_Is_B4_JIS_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="225" editable="FALSE">
                            11X17
                            <constraint>When_BookletTargetSize_Is_11x17_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                    </feature>
                    <!-- TTAsBitmapSetting-->
                    <feature resource_id="1170" caption_id="10044">
                        TTAsBitmapSetting
                        <current_option>TTModeOutline</current_option>
                        <option resource_id="9">
                            TTModeOutline
                        </option>
                        <option resource_id="10">
                            TTModeBitmap
                        </option>
                    </feature>
                    <!-- TextAsBlack-->
                    <feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- PrintDocumentOn -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9">
                            PrintActualSize
                            <!--<constraint>ForceScaleToFit_Off</constraint>-->
                            <constraint>Force_TargetPaperSize_To_Letter</constraint>
                            <constraint>Force_PaperSize_To_Letter</constraint>
                        </option>
                        <option resource_id="10">
                            FitToOtherSize
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>
                                <option resource_id="209">
                                    LETTER
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="213">
                                    LEGAL
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="215">
                                    EXECUTIVE
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="214">
                                    STATEMENT
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="356">
                                    8_5X13
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="225">
                                    11X17
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="207">
                                    12X18
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="216">
                                    A3
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="217">
                                    A4
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="219">
                                    A5
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option>
                                    RA3
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <!--<option resource_id="202">
                                    B5
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>-->
                                <option resource_id="221">
                                    B5_JIS
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="220">
                                    B4_JIS
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="327">
                                    EXECUTIVE_JIS
                                    <constraint>Force_BookletPrinting_OFF_ABS</constraint>
                                </option>
                                <option resource_id="286">
                                    DBL_JAPANESE_POSTCARD_ROTATED
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="208">
                                    16K
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="354">
                                    8K
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="228">
                                    ENV_10
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="236">
                                    ENV_C5
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="242">
                                    ENV_B5
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="235">
                                    ENV_DL
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="245">
                                    ENV_MONARCH
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- "Scale To Fit" ON/OFF -->
                    <feature resource_id="1183" caption_id="10026">
                        ScalePageChoice
                        <current_option>ScaleToFit</current_option>
                        <option resource_id="10">
                            ScaleToFit
                            <constraint>PrintDocumentOn_Must_Be_Actual_Size</constraint>
                        </option>
                        <option resource_id="9">
                            FitWithoutScaling
                            <constraint>PrintDocumentOn_Must_Be_Actual_Size</constraint>
                        </option>
                    </feature>
                    <!-- Percent of Normal Size: -->
                    <feature resource_id="1184" caption_id="10027" range_low="25" range_hi="400">
                        ScaleChoice
                        <current_option>100</current_option>
                        <constraint>Is_Booklet_On</constraint>
                        <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                        <constraint>Check_NUP</constraint>
                    </feature>
                    <!-- Watermarks -->
                    <feature resource_id="2000" caption_id="10028">
                        Watermarks
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="2002">
                            Confidential
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2001">
                            Draft
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                    support them.  4/18/02
                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option> -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2003">
                            Sample
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                    NoPages
                                </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since Mombi driver does not support them.4/18/02
                                    <option resource_id="2031">
                                        Underline
                                    </option>
                                    <option resource_id="2032">
                                    Strikeout
                                    </option>-->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- Copies -->
                    <feature resource_id="1021" caption_id="10037" range_low="1" range_hi="9999">
                        Copies
                        <current_option>1</current_option>
                    </feature>
                </printing>
                <!--             CONSTRAINTS SECTION "Physical" features            -->
                <constraints>
                    <constraint>
                        PrintDocumentOn_Must_Be_Actual_Size
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                    </constraint>
                    <!-- Force BookletTargetSize to Size is value -->
                    <constraint>
                        Force_BookletTargetSize_To_None
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == None
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_BookletPrinting_OFF
                        <requires>
                            <item force="TRUE">printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- BookletTargetSize option  -->
                    <constraint>
                        Check_BookletPrinting
                        <requires>
                            <item>printing/BookletPrintingChoice == Off </item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_PaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <!-- PrintDocumentOn checked to Off -->
                    <constraint>
                        Force_TargetPaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LETTER</item>
                        </requires>
                    </constraint>
                    <!-- -->
                    <!-- PaperSizes Required Per Booklet Target Size -->
                    <constraint>
                        When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_A3_PaperSize_Cannot_Be
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                            <item>printing/PaperSize == B4_JIS</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_11x17_PaperSize_Cannot_Be
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_B4_JIS_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                            <item>printing/PaperSize == LEGAL</item>
                        </forbids>
                    </constraint>
                    <!-- Paper size is LETTER -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value1
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == B4_JIS</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] == LETTER
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[B4_JIS] ~~ B4_JIS
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[11X17] ~~ 11X17
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Paper size is A4 -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value2
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == B4_JIS</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] == A4
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[B4_JIS] ~~ B4_JIS
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[11X17] ~~ 11X17
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Paper size is LEGAL -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value3
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == B4_JIS</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] == LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[B4_JIS] ~~ B4_JIS
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[11X17] ~~ 11X17
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Paper size is B4_JIS -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value4
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[B4_JIS] == B4_JIS
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[11X17] ~~ 11X17
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Called from two places: For setting Target PaperSize and Booklet Enable -->
                    <constraint>
                        Check_PaperSizes_To_Allow_Booklet
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == STATEMENT</item>
                            <item>printing/PaperSize == 11X17</item>
                            <item>printing/PaperSize == 8_5X13</item>
                            <item>printing/PaperSize == 12X18</item>
                            <item>printing/PaperSize == A3</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == RA3</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>
                            <!--<item>printing/PaperSize == B5</item>-->
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD_ROTATED </item>
                        </forbids>
                    </constraint>
                    <!-- Booklet Printing -->
                    <constraint>
                        Check_Duplex_To_Allow_Booklet
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scaling_To_Allow_Booklet
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scale_Equal_100_To_Allow_Booklet
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scale_Equal_100
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <!-- PrintDocumentOn checked to ON -->
                    <constraint>
                        PrintDocumentOn_Cannot_Be_On
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </forbids>
                    </constraint>
                    <!-- Booklet and NUP are Incompatible -->
                    <!-- Booklet and Percent_Not_100 are Incompatible -->
                    <constraint>
                        Is_Booklet_On
                        <forbids>
                            <item>printing/BookletPrintingChoice == LeftEdge</item>
                            <item>printing/BookletPrintingChoice == RightEdge</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_NUP
                        <forbids>
                            <item>printing/NUpChoice == TwoUp</item>
                            <item>printing/NUpChoice == FourUp</item>
                            <item>printing/NUpChoice == SixUp</item>
                            <item>printing/NUpChoice == NineUp</item>
                            <item>printing/NUpChoice == SixteenUp</item>
                        </forbids>
                    </constraint>
                    <!-- Warn to Turn BookletPrinting OFF -->
                    <constraint>
                        Check_Booklet_To_Disable_PrintOnBothSides
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- Constaints For "Print On Both Sides" Selection -->
                    <constraint>
                        Check_MediaTypes_That_Cant_Be_Duplexed
                        <forbids>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_That_Cant_Be_Duplexed
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == STATEMENT</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD_ROTATED</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_That_Cant_Be_Duplexed_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == STATEMENT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == DBL_JAPANESE_POSTCARD_ROTATED</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_B5</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed_ABS
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>
                    <!-- MediaType Selection -->
                    <constraint>
                        ForcePrintOnBothSidesOff
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Set_Appropriate_PaperSize
                        <requires>
                            <item>printing/PaperSize != 12X18</item>
                            <item>printing/PaperSize != RA3</item>
                            <item>printing/PaperSize != DBL_JAPANESE_POSTCARD_ROTATED</item>
                            <item>printing/PaperSize != ENV_10</item>
                            <item>printing/PaperSize != ENV_C5</item>
                            <item>printing/PaperSize != ENV_B5</item>
                            <item>printing/PaperSize != ENV_DL</item>
                            <item>printing/PaperSize != ENV_MONARCH</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Set_Appropriate_MediaType
                        <requires>
                            <item>printing/MediaType != ENVELOPE</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/MediaType == AUTO</item>
                        </requires>
                    </constraint>
                    <!--Chandra Added the constraints-->
                </constraints>
                <custom/>
            </factory>
            <export>
                <physical/>
                <printing/>
                <custom/>
            </export>
        </component>
    </software>
</device>
